name: clever_danilo
services:
  main_app:
    cpu_shares: 10
    command:
      - bash
      - start.sh
    container_name: ollama-webui
    deploy:
      resources:
        limits:
          memory: 256M
    environment:
      - OLLAMA_API_BASE_URL=http://172.19.19.2:11434/api
    image: ghcr.io/ollama-webui/ollama-webui:main
    labels:
      icon: https://avatars.githubusercontent.com/u/147204191?s=280&v=4
    ports:
      - target: 8080
        published: "3099"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/ollama-webui
        target: /app/backend/data
    devices: []
    cap_add: []
    network_mode: bridge
    privileged: false
    hostname: ollama-webui
x-casaos:
  author: self
  category: self
  hostname: ""
  icon: https://avatars.githubusercontent.com/u/147204191?s=280&v=4
  index: /
  is_uncontrolled: false
  port_map: "3099"
  scheme: http
  store_app_id: clever_danilo
  title:
    custom: ollama-webui
